#ifndef WEATHER_DISPLAY_H
#define WEATHER_DISPLAY_H

#include "metarReader.h"
#include "weatherUtil.h"
#include "weather.h"
#include "simpleDisplay.h"
#include <string>

class cWeatherOsd : public cSimpleWeatherOsd {
	public:
		cWeatherOsd(cUpdate *metarReader);
	protected:
		virtual void printMetar (cOsd *osd, Decoded_METAR *Mptr, int x, int y);
		void initWeatherBitmap(cBitmap &b, Decoded_METAR *mptr, tColor col, bool setBg);
		void initBitmap(cBitmap &b, char *xpm[], tColor col, bool setBg);
		void initNorthBitmap(cBitmap &b, tColor col);
		void initSouthBitmap(cBitmap &b, tColor col);
		void initWestBitmap(cBitmap &b, tColor col);
		void initEastBitmap(cBitmap &b, tColor col);
		void initNorthWestBitmap(cBitmap &b, tColor col);
		void initNorthEastBitmap(cBitmap &b, tColor col);
		void initSouthWestBitmap(cBitmap &b, tColor col);
		void initSouthEastBitmap(cBitmap &b, tColor col);
		void initBorderBitmap(cBitmap &b, tColor col);
		void drawWindRose(cOsd *osd, int degree, int x, int y);
		void drawWeather(cOsd *osd, Decoded_METAR *mptr, int x, int y);
		std::string getIntensity(const std::string weather);
		std::string getPrecipitation(const std::string weather);
		std::string getCoverage(const std::string weather);
};

#endif //WEATHER_DISPLAY_H
